package _VisualDVM.Passes.All;
import _VisualDVM.GlobalData.Tasks.RunTask.RunTask;
import _VisualDVM.GlobalData.Tasks.Supervisor.Remote.ServerRunSupervisor;
import _VisualDVM.Passes.SSH.TaskConnectionPass;
import _VisualDVM.ProjectData.Project.db_project_info;
public class ServerRun extends TaskConnectionPass {
    public ServerRun() {
        super(ServerRunSupervisor.class);
    }
    @Override
    protected boolean canStart(Object... args) {
        supervisor.Init((RunTask) args[0], this, (db_project_info) args[1]);
        return true;
    }
}
